Subject: bug#15741: closed (Re: bug#15739: Doesn't support clang as well as it could.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Nov 2013 22:03:03 +0000

Your bug report

#15739: Patch for bug #15739

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15739: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15739
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15739: Doesn't support clang as well as it could.
From: Mark H Weaver <[email-masked]>
To: Matt Sicker <[email-masked]>
Cc: [email-masked]
Date: Fri, 01 Nov 2013 18:00:23 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Matt,

Matt Sicker <[email-masked]> writes:
> I noticed that clang reports to be GCC version 4.2, so most of what I
> thought might be wrong wasn't. Therefore, the patch was far easier and
> smaller than I expected. This isn't too high a priority, but it does
> add support for clang where the code would normally check for GCC
> 4.3+. Clang even supports C++ static_assert supposedly, so there's a
> check for that as well.
>
> -- 
> Matt Sicker <[email-masked]> 
>
>
> From 2b02509f53a247784b4bb0be96061e46b53b0c4e Mon Sep 17 00:00:00 2001
> From: Matt Sicker <[email-masked]>
> Date: Sun, 27 Oct 2013 16:54:06 -0500
> Subject: [PATCH] Updated a couple compiler checks to support clang.
>
> * lib/poll.c [__clang__]: Same functionality as GCC 4.3+ for ignoring
>   the (nfd < 0) tests.
> * lib/verify.h [__has_feature(c_static_assert)]: Enables
>   _GL_HAVE__STATIC_ASSERT when clang feature is available for C.
> * lib/verify.h [__has_feature(cxx_static_assert)]: Enables
> * _GL_HAVE_STATIC_ASSERT when clang feature is available for C++.

Both of these files are part of gnulib.  As a matter of policy, we do
not change those files in our repository.  Instead we update from
gnulib's repository from time to time.

Can you please send this problem report and patch to
<[email-masked]> ?

I'm closing this bug, since there's nothing for us to do in Guile.  If
you find any clang-related problems in Guile itself, please let us know.

     Thanks,
       Mark

Subject: Patch for bug #15739
From: Matt Sicker <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2013 17:10:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that clang reports to be GCC version 4.2, so most of what I
thought might be wrong wasn't. Therefore, the patch was far easier and
smaller than I expected. This isn't too high a priority, but it does add
support for clang where the code would normally check for GCC 4.3+. Clang
even supports C++ static_assert supposedly, so there's a check for that as
well.

-- 
Matt Sicker <[email-masked]>